<div [ngClass]="[jds.mb(12)]">
  <jds-bi-scrollbar [style.maxHeight.px]="300">
    <ul
      [ngClass]="[jds.ps(0), jds.mb(0)]"
      [style.listStyle]="'none'"
      [style.height]="'auto'"
      data-mcs-theme="dark"
    >
      <ng-container *ngIf="isLoadingList$ | async">
        <div
          class="wrapper-skeleton"
          *ngFor="let number of [90, 20, 50, 90, 50]"
        >
          <ngx-skeleton-loader
            [theme]="{
              width: number + '%',
              'border-radius': '0',
              height: '20px',
              'margin-bottom': '5px'
            }"
          />
        </div>
      </ng-container>
      <ng-container *ngIf="(isLoadingList$ | async) === false">
        <button
          *ngFor="let row of data; let i = index"
          [ngClass]="[
            jds.button,
            jds.buttonSm,
            jds.buttonTag,
            row.checked ? 'active' : '',
            jds.me(8),
            jds.mb(8)
          ]"
          (click)="filterDatasetTag(row)"
          type="button"
        >
          {{ row.tag }}
        </button>
      </ng-container>
    </ul>
  </jds-bi-scrollbar>
</div>
